using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ImageMapPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        CreateNew();
    }
    void CreateNew()
    {
        ImageMap ImageMap2 = new ImageMap();
        ImageMap2.ImageUrl = "advs/VietnamNorth.gif";
        ImageMap2.AlternateText = "Vietnam Map";
        CircleHotSpot Circle1 = new CircleHotSpot();
        Circle1.HotSpotMode = HotSpotMode.Navigate;
        Circle1.NavigateUrl = "http://www.hanoicity.com.vn";
        Circle1.X = 145;
        Circle1.Y = 120;
        Circle1.Radius = 75;
        Circle1.AlternateText = "Ha Noi City";

        ImageMap2.HotSpots.Add(Circle1);

        CircleHotSpot Circle2 = new CircleHotSpot();
        Circle2.HotSpotMode = HotSpotMode.Navigate;
        Circle2.NavigateUrl = "http://www.huecity.com.vn";
        Circle2.X = 175;
        Circle2.Y = 300;
        Circle2.Radius = 75;
        Circle2.AlternateText = "Thua Thien Hue";

        ImageMap2.HotSpots.Add(Circle2);
        this.form1.Controls.Add(ImageMap2);
     }
}
